%define name kdict
%define version 0.5
%define release 1

Summary: A graphical client for the DICT protocol
Name: %name
Version: %version
Release: %release

License: Artistic
Url: http://www.rhrk.uni-kl.de/~gebauerc/kdict/
Source: %{name}-%{version}.tar.bz2
Group: File tools

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Kdict is a graphical client for the DICT Protocol. It enables you to search through dictionary-like databases for a word or phrase, then displays suitable definitions. Kdict trys to ease basic as well as advanced queries. A separate list offers a convenient way to deal with the enormous number of matching words that a advanced query can return. The remainder of Kdict's user interface resembles a web browser: For instance, you can jump to the definition of a synonym by simply clicking on the highlighted word. The back/forward functionality is also implemented, enabling you to quickly go back to the result of previous queries.

%prep

%setup -q

%build
export KDEDIR=%{_prefix}
unset QTDIR || : ; . /etc/profile.d/qt.sh
 
if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

./configure --prefix=%_prefix --bindir=%_bindir \
            --mandir=%_mandir --datadir=%_datadir \
            --disable-rpath --disable-debug --enable-final

make -j $CPUS

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_prefix}/bin/*
%{_prefix}/lib/*
%{_prefix}/share/applnk/Utilities/*
%{_prefix}/share/apps/kdict/
%{_prefix}/share/apps/kicker/applets/kdictapplet.desktop
%{_prefix}/share/doc/HTML/en/%{name}/
%{_prefix}/share/icons/hicolor/32x32/apps/kdict.png
%{_prefix}/share/icons/hicolor/16x16/apps/kdict.png
%{_prefix}/share/icons/hicolor/48x48/apps/kdict.png
%{_prefix}/share/icons/locolor/32x32/apps/kdict.png
%{_prefix}/share/icons/locolor/16x16/apps/kdict.png

%changelog
* Fri Apr  6 2001 Maurice Aubrey <maurice@hevanet.com> 0.5-1
- First RedHat 7.0 release based on Mandrake kdict-0.5-3mdk.src.rpm
